## org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards
Class FileSelectionWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetWizardPageCore
                  org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSetWizardPage
                      org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards.FileSelectionWizardPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.jface.wizard.IWizardPage

    public class FileSelectionWizardPage

extends DataSetWizardPage
implements org.eclipse.jface.viewers.ISelectionChangedListener

Extends the ODA design ui framework to provide a driver-specific custom editor page to create or edit an ODA data set design instance.

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`FileSelectionWizardPage(java.lang.String pageName)`
`FileSelectionWizardPage(java.lang.String pageName, java.lang.String title, org.eclipse.jface.resource.ImageDescriptor titleImage)`

Method Summary
`void` `createPageCustomControl(org.eclipse.swt.widgets.Composite parent)` Creates customized control for this wizard page under the given parent composite.
`void` `selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)`
`void` `setVisible(boolean visible)`

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSetWizardPage
`createControl`

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetWizardPageCore
`dispose, getIconDescriptor, getIconFilePath, performHelp, setErrorMessage, setMessage`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setImageDescriptor, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getMessage, getTitle`

Constructor Detail

### FileSelectionWizardPage

    public FileSelectionWizardPage(java.lang.String pageName)

Parameters:
  `pageName` -

### FileSelectionWizardPage

    public FileSelectionWizardPage(java.lang.String pageName,
                                   java.lang.String title,
                                   org.eclipse.jface.resource.ImageDescriptor titleImage)

Parameters:
  `pageName` -
  `title` -
  `titleImage` -

Method Detail

### createPageCustomControl

    public void createPageCustomControl(org.eclipse.swt.widgets.Composite parent)

  Description copied from class: `DataSetWizardPage`
  Creates customized control for this wizard page under the given parent composite. Initializes control as appropriate with the DataSetDesign initialization instance.

  Specified by:
    `createPageCustomControl` in class `DataSetWizardPage`
  Parameters:
    `parent` - the parent composite
  See Also:
    `DataSetWizardPageCore.getInitializationDesign()`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

  Specified by:
    `selectionChanged` in interface `org.eclipse.jface.viewers.ISelectionChangedListener`

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`